//Importing necessary libraries from d3 and topojson
import {select, json, geoPath, geoEqualEarth} from 'd3';
import {feature} from 'topojson';

//Setting a constanct variable svg
const svg = select('svg');

//setting constant variables projection and pathGenerator for the libraries geoEqualEarth and geoPath respectively
//Creating a geoEqualEarth projection
const projection = geoEqualEarth();
const pathGenerator = geoPath().projection(projection);

//defining a path generator
svg.append('path')
		.attr('d',pathGenerator({type:'Sphere'}))
		.attr('class','Sphere');

//Loading dataset and passing all the parameters through json function
json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
  .then(data =>{
  console.log(data)	;
  const countries = feature(data, data.objects.countries);
  	
		svg.selectAll('path').data(countries.features)
      .enter().append('path')
  		.attr('d', pathGenerator)
  		.attr('class','Countries');
	})


